package cn.net.test;

import java.io.IOException;
import java.net.BindException;
import java.net.ConnectException;
import java.net.SocketTimeoutException;
import java.net.UnknownHostException;

import cn.net.cpzslibs.prot.Prot02Logout;
import cn.net.cpzslibs.prot.SocketCreate;

public class NewAvocado {
	
	public static void main(String[] args) {

		String ip = "218.245.0.109";// 218.245.0.109 192.168.0.46
		int port = 8890;
		SocketCreate create = new SocketCreate(ip, port, "");
		try {
			create.createLoginCpzsHandset(658000123L);
			/*Prot20053AvocadoPiCi  p53 = new Prot20053AvocadoPiCi();
			p53.reqDealerInfo(create);
			System.out.println(p53.getResBean());*/
			/*Prot20054AvocadoDealer  p54 = new Prot20054AvocadoDealer();
			p54.reqDealerInfo(create);
			System.out.println(p54.getResBean());*/
			
			
		} catch (BindException e) {
			e.printStackTrace();
		} catch (ConnectException e) {
			e.printStackTrace();
		} catch (SocketTimeoutException e) {
			e.printStackTrace();
		} catch (UnknownHostException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		} finally {
			new Prot02Logout().dealLogout(create);
		}
	
		
	}
}
